Summary: LSB development kit
Name: lsbdev
Version: 1.0.6
%define appchkver 1.0.1
Release: 1mdk
License: Artistic
Group: Development/Other
Source0: lsbdev-%{version}.tar.bz2
Source1: lsbappchk-%{appchkver}.tar.bz2
URL: ftp://lsb.sourceforge.net/pub/lsb/lsbdev/
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}

%description

This is a development kit for building LSB compliant programs.
It includes the lsb-stub libraries as well as the utility lsbappchk.

To use the lsb-stub libraries, link your program like this:
	cc -o foo foo.o -L/usr/lib/lsb-stub

To test, use the following syntax:
	lsbappchk [-L /path/to/lib ] <appname> 

Non-system shared libraries that are part of the applications package can be 
specified using the -L option. This option can be used as many times as needed,
and will prevent lsbappchk from complaining about symbols which are provided in 
those shared libraries. 

%prep

%setup -q -c 
cd %{name}-%{version}
%setup -q -a1

%build
cd lsbappchk-%{appchkver}
%make
cd ..

%install
rm -rf ${RPM_BUILD_ROOT}
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/lsb-stub
install stub_libs/*.so $RPM_BUILD_ROOT/%{_libdir}/lsb-stub/
install lsbappchk-%{appchkver}/appchk/appchk $RPM_BUILD_ROOT/%{_bindir}/lsbappchk

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_DIR}/lsbdev-%{version}

%files
%defattr(-,root,root)
%{_bindir}/lsbappchk
%{_libdir}/lsb-stub/*


#==================================================
%changelog

* Wed Nov 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.6-1mdk
- update to 1.0.6, lsbappchk from seperate tarball, with source

* Tue Aug 28 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.0.1-1mdk
- first Mandrake release



